@echo off
@REM
@REM  MS-DOS Batch file to test the GNU Scientific Library (GSL)
@REM  on M$ Visual C++ 6.0.
@REM
@REM  2001/04/03 - Jos Miguel Buenaposada (jmbuena@dia.fi.upm.es)
@REM               Initial version.
@REM  
@REM

@echo Testing GSL library 
@if exist result.dat del result.dat
@echo running Debug test_block...
@Debug\test_block.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_block >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_block >> result.dat
@echo running Debug test_cblas...
@Debug\test_cblas.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_cblas >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_cblas >> result.dat
@echo running Debug test_cheb...
@Debug\test_cheb.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_cheb >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_cheb >> result.dat
@echo running Debug test_combination...
@Debug\test_combination.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_combination >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_combination >> result.dat
@echo running Debug test_complex...
@Debug\test_complex.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_complex >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_complex >> result.dat
@echo running Debug test_dht...
@Debug\test_dht.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_dht >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_dht >> result.dat
@echo running Debug test_diff...
@Debug\test_diff.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_diff >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_diff >> result.dat
@echo running Debug test_eigen...
@Debug\test_eigen.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_eigen >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_eigen >> result.dat
@echo running Debug test_err...
@Debug\test_err.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_err >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_err >> result.dat
@echo running Debug test_fft...
@Debug\test_fft.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_fft >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_fft >> result.dat
@echo running Debug test_fit...
@Debug\test_fit.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_fit >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_fit >> result.dat
@echo running Debug test_histogram...
@Debug\test_histogram.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_histogram >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_histogram >> result.dat
@echo running Debug test2d_histogram...
@Debug\test2d_histogram.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test2d_histogram >> result.dat
@if errorlevel 1 echo FAIL: Debug\test2d_histogram >> result.dat
@echo running Debug test_resample_histogram...
@Debug\test_resample_histogram.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_resample_histogram >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_resample_histogram >> result.dat
@echo running Debug test2d_resample_histogram...
@Debug\test2d_resample_histogram.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test2d_resample_histogram >> result.dat
@if errorlevel 1 echo FAIL: Debug\test2d_resample_histogram >> result.dat
@echo running Debug test_trap_histogram...
@Debug\test_trap_histogram.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_trap_histogram >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_trap_histogram >> result.dat
@echo running Debug test2d_trap_histogram...
@Debug\test2d_trap_histogram.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test2d_trap_histogram >> result.dat
@if errorlevel 1 echo FAIL: Debug\test2d_trap_histogram >> result.dat
@echo running Debug test_ieee_utils...
@Debug\test_ieee_utils.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_ieee_utils >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_ieee_utils >> result.dat
@echo running Debug test_integration...
@Debug\test_integration.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_integration >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_integration >> result.dat
@echo running Debug test_interpolation...
@Debug\test_interpolation.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_interpolation >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_interpolation >> result.dat
@echo running Debug test_linalg...
@Debug\test_linalg.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_linalg >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_linalg >> result.dat
@echo running Debug test_matrix...
@Debug\test_matrix.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_matrix >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_matrix >> result.dat
@echo running Debug test_static_matrix...
@Debug\test_static_matrix.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_static_matrix >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_static_matrix >> result.dat
@echo running Debug test_min...
@Debug\test_min.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_min >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_min >> result.dat
@echo running Debug test_monte...
@Debug\test_monte.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_monte >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_monte >> result.dat
@echo running Debug test_multifit...
@Debug\test_multifit.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_multifit >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_multifit >> result.dat
@echo running Debug test_multimin...
@Debug\test_multimin.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_multimin >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_multimin >> result.dat
@echo running Debug test_multiroots...
@Debug\test_multiroots.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_multiroots >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_multiroots >> result.dat
@echo running Debug test_ntuple...
@Debug\test_ntuple.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_ntuple >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_ntuple >> result.dat
@echo running Debug test_ode_initval...
@Debug\test_ode_initval.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_ode_initval >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_ode_initval >> result.dat
@echo running Debug test_permutation...
@Debug\test_permutation.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_permutation >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_permutation >> result.dat
@echo running Debug test_poly...
@Debug\test_poly.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_poly >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_poly >> result.dat
@echo running Debug test_qrng...
@Debug\test_qrng.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_qrng >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_qrng >> result.dat
@echo running Debug test_randist...
@Debug\test_randist.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_randist >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_randist >> result.dat
@echo running Debug test_rng...
@Debug\test_rng.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_rng >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_rng >> result.dat
@echo running Debug test_roots...
@Debug\test_roots.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_roots >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_roots >> result.dat
@echo running Debug test_siman...
@Debug\test_siman.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_siman >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_siman >> result.dat
@echo running Debug test_sort...
@Debug\test_sort.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_sort >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_sort >> result.dat
@echo running Debug test_specfunc...
@Debug\test_specfunc.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_specfunc >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_specfunc >> result.dat
@echo running Debug test_statistics...
@Debug\test_statistics.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_statistics >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_statistics >> result.dat
@echo running Debug test_nist_statistics...
@Debug\test_nist_statistics.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_nist_statistics >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_nist_statistics >> result.dat
@echo running Debug test_sum...
@Debug\test_sum.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_sum >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_sum >> result.dat
@echo running Debug test_sys...
@Debug\test_sys.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_sys >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_sys >> result.dat
@echo running Debug test_vector...
@Debug\test_vector.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_vector >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_vector >> result.dat
@echo running Debug test_static_vector...
@Debug\test_static_vector.exe >> result.dat
@if not errorlevel 1 echo PASS: Debug\test_static_vector >> result.dat
@if errorlevel 1 echo FAIL: Debug\test_static_vector >> result.dat
@echo PASS: test_gsl_histogram.sh NOT IMPLEMENTED ON WINDOWS >> result.dat
@echo Number of failures:
@FIND /V /C "PASS:" result.dat
@echo Number of passes:
@FIND /C "PASS:" result.dat
@echo Full test log is in result.dat
