@echo off
@REM
@REM  MS-DOS Batch file to test the GNU Scientific Library (GSL)
@REM  on M$ Visual C++ 6.0.
@REM
@REM  2001/04/03 - Jos Miguel Buenaposada (jmbuena@dia.fi.upm.es)
@REM               Initial version.
@REM  
@REM

@echo Testing GSL library 
@if exist result.dat del result.dat
@echo running Release test_block...
@Release\test_block.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_block >> result.dat
@if errorlevel 1 echo FAIL: Release\test_block >> result.dat
@echo running Release test_cblas...
@Release\test_cblas.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_cblas >> result.dat
@if errorlevel 1 echo FAIL: Release\test_cblas >> result.dat
@echo running Release test_cheb...
@Release\test_cheb.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_cheb >> result.dat
@if errorlevel 1 echo FAIL: Release\test_cheb >> result.dat
@echo running Release test_combination...
@Release\test_combination.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_combination >> result.dat
@if errorlevel 1 echo FAIL: Release\test_combination >> result.dat
@echo running Release test_complex...
@Release\test_complex.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_complex >> result.dat
@if errorlevel 1 echo FAIL: Release\test_complex >> result.dat
@echo running Release test_dht...
@Release\test_dht.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_dht >> result.dat
@if errorlevel 1 echo FAIL: Release\test_dht >> result.dat
@echo running Release test_diff...
@Release\test_diff.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_diff >> result.dat
@if errorlevel 1 echo FAIL: Release\test_diff >> result.dat
@echo running Release test_eigen...
@Release\test_eigen.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_eigen >> result.dat
@if errorlevel 1 echo FAIL: Release\test_eigen >> result.dat
@echo running Release test_err...
@Release\test_err.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_err >> result.dat
@if errorlevel 1 echo FAIL: Release\test_err >> result.dat
@echo running Release test_fft...
@Release\test_fft.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_fft >> result.dat
@if errorlevel 1 echo FAIL: Release\test_fft >> result.dat
@echo running Release test_fit...
@Release\test_fit.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_fit >> result.dat
@if errorlevel 1 echo FAIL: Release\test_fit >> result.dat
@echo running Release test_histogram...
@Release\test_histogram.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_histogram >> result.dat
@if errorlevel 1 echo FAIL: Release\test_histogram >> result.dat
@echo running Release test2d_histogram...
@Release\test2d_histogram.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test2d_histogram >> result.dat
@if errorlevel 1 echo FAIL: Release\test2d_histogram >> result.dat
@echo running Release test_resample_histogram...
@Release\test_resample_histogram.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_resample_histogram >> result.dat
@if errorlevel 1 echo FAIL: Release\test_resample_histogram >> result.dat
@echo running Release test2d_resample_histogram...
@Release\test2d_resample_histogram.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test2d_resample_histogram >> result.dat
@if errorlevel 1 echo FAIL: Release\test2d_resample_histogram >> result.dat
@echo running Release test_trap_histogram...
@Release\test_trap_histogram.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_trap_histogram >> result.dat
@if errorlevel 1 echo FAIL: Release\test_trap_histogram >> result.dat
@echo running Release test2d_trap_histogram...
@Release\test2d_trap_histogram.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test2d_trap_histogram >> result.dat
@if errorlevel 1 echo FAIL: Release\test2d_trap_histogram >> result.dat
@echo running Release test_ieee_utils...
@Release\test_ieee_utils.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_ieee_utils >> result.dat
@if errorlevel 1 echo FAIL: Release\test_ieee_utils >> result.dat
@echo running Release test_integration...
@Release\test_integration.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_integration >> result.dat
@if errorlevel 1 echo FAIL: Release\test_integration >> result.dat
@echo running Release test_interpolation...
@Release\test_interpolation.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_interpolation >> result.dat
@if errorlevel 1 echo FAIL: Release\test_interpolation >> result.dat
@echo running Release test_linalg...
@Release\test_linalg.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_linalg >> result.dat
@if errorlevel 1 echo FAIL: Release\test_linalg >> result.dat
@echo running Release test_matrix...
@Release\test_matrix.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_matrix >> result.dat
@if errorlevel 1 echo FAIL: Release\test_matrix >> result.dat
@echo running Release test_static_matrix...
@Release\test_static_matrix.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_static_matrix >> result.dat
@if errorlevel 1 echo FAIL: Release\test_static_matrix >> result.dat
@echo running Release test_min...
@Release\test_min.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_min >> result.dat
@if errorlevel 1 echo FAIL: Release\test_min >> result.dat
@echo running Release test_monte...
@Release\test_monte.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_monte >> result.dat
@if errorlevel 1 echo FAIL: Release\test_monte >> result.dat
@echo running Release test_multifit...
@Release\test_multifit.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_multifit >> result.dat
@if errorlevel 1 echo FAIL: Release\test_multifit >> result.dat
@echo running Release test_multimin...
@Release\test_multimin.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_multimin >> result.dat
@if errorlevel 1 echo FAIL: Release\test_multimin >> result.dat
@echo running Release test_multiroots...
@Release\test_multiroots.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_multiroots >> result.dat
@if errorlevel 1 echo FAIL: Release\test_multiroots >> result.dat
@echo running Release test_ntuple...
@Release\test_ntuple.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_ntuple >> result.dat
@if errorlevel 1 echo FAIL: Release\test_ntuple >> result.dat
@echo running Release test_ode_initval...
@Release\test_ode_initval.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_ode_initval >> result.dat
@if errorlevel 1 echo FAIL: Release\test_ode_initval >> result.dat
@echo running Release test_permutation...
@Release\test_permutation.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_permutation >> result.dat
@if errorlevel 1 echo FAIL: Release\test_permutation >> result.dat
@echo running Release test_poly...
@Release\test_poly.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_poly >> result.dat
@if errorlevel 1 echo FAIL: Release\test_poly >> result.dat
@echo running Release test_qrng...
@Release\test_qrng.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_qrng >> result.dat
@if errorlevel 1 echo FAIL: Release\test_qrng >> result.dat
@echo running Release test_randist...
@Release\test_randist.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_randist >> result.dat
@if errorlevel 1 echo FAIL: Release\test_randist >> result.dat
@echo running Release test_rng...
@Release\test_rng.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_rng >> result.dat
@if errorlevel 1 echo FAIL: Release\test_rng >> result.dat
@echo running Release test_roots...
@Release\test_roots.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_roots >> result.dat
@if errorlevel 1 echo FAIL: Release\test_roots >> result.dat
@echo running Release test_siman...
@Release\test_siman.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_siman >> result.dat
@if errorlevel 1 echo FAIL: Release\test_siman >> result.dat
@echo running Release test_sort...
@Release\test_sort.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_sort >> result.dat
@if errorlevel 1 echo FAIL: Release\test_sort >> result.dat
@echo running Release test_specfunc...
@Release\test_specfunc.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_specfunc >> result.dat
@if errorlevel 1 echo FAIL: Release\test_specfunc >> result.dat
@echo running Release test_statistics...
@Release\test_statistics.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_statistics >> result.dat
@if errorlevel 1 echo FAIL: Release\test_statistics >> result.dat
@echo running Release test_nist_statistics...
@Release\test_nist_statistics.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_nist_statistics >> result.dat
@if errorlevel 1 echo FAIL: Release\test_nist_statistics >> result.dat
@echo running Release test_sum...
@Release\test_sum.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_sum >> result.dat
@if errorlevel 1 echo FAIL: Release\test_sum >> result.dat
@echo running Release test_sys...
@Release\test_sys.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_sys >> result.dat
@if errorlevel 1 echo FAIL: Release\test_sys >> result.dat
@echo running Release test_vector...
@Release\test_vector.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_vector >> result.dat
@if errorlevel 1 echo FAIL: Release\test_vector >> result.dat
@echo running Release test_static_vector...
@Release\test_static_vector.exe >> result.dat
@if not errorlevel 1 echo PASS: Release\test_static_vector >> result.dat
@if errorlevel 1 echo FAIL: Release\test_static_vector >> result.dat
@echo PASS: test_gsl_histogram.sh NOT IMPLEMENTED ON WINDOWS >> result.dat
@echo Number of failures:
@FIND /V /C "PASS:" result.dat
@echo Number of passes:
@FIND /C "PASS:" result.dat
@echo Full test log is in result.dat
